<bugID>697683<Summary>[Downloads Panel] New appearance for the indicator</Summary><Description>| This bug describes changes to the version of the downloads panel and
| indicator that is currently present in the UX branch, more specifically:
| * Bug 564934, attachment 558500
| * Bug 663772, attachment 558504
| 
| Patches for this bug should apply on top of the two mentioned patches.

The indicator should be updated accordingly to the UI mockup in the bug's URL:
* Same basic style as a toolbar button.
  - Note: sometimes, on Windows, clicking the indicator's background doesn't
    work and the panel isn't opened. This is often observed when the indicator
    is on the title bar. Verify that the new button style works in all cases.
* Fixed width, same as the Bookmarks button.
* Always visible, even if there are no downloads in the list.
* Small version of the "downloads" icon when the progress bar is visible.
  - If no time left indication is available, center the icon.
  - If there is a time left indication and enough room for both the icon and
     the text, show both (I suppose it's better to avoid slight movements of
     the icon by reserving room for the maximum possible text width, but it's
     also possible to just center the icon and the text together).
  - If there is a time left indication and no room for the icon, show the
     time indication only.
* The animation for new downloads should move from the page towards the
   button. It should always have an angle of 45&#176; and animate into the arrow,
   if visible (depending on the button state).
* The progress bar in the button should remain visible and become yellow when
   there are paused downloads. If the current overall download progress is
   available, if should be displayed in the button. Also, investigate what
   the paused state currently looks like in the task bar of Windows 7 and
   Windows Vista and possibly use similar colors on that platform.

Code for most of these states of the indicator exists in attachment 550151.</Description></bugID>